mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.IEnumerable System.IDisposable System.Runtime.InteropServices.ComVisible(true)

Resource readers are used to read a stream of data from resource files in a particular format. Implement this interface when you want to control the way in which a resource file is read (for example, if the resource file was written by using a customized ) or if you are using a non-standard format or file type for storing resources. Otherwise, use the default class, which reads resource information from binary .resources files, or the class, which reads resource information from XML resource (.resx) files.

Provides the base functionality for reading data from resource files.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to close a network connection or a file, if necessary.

  Closes the resource reader after releasing any resources associated with it.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionaryEnumerator

  Because inherits the interface, it must also provide an implementation of the method, which returns an object that can be used to enumerate a collection. Typically, is implemented as an explicit interface implementation.

  Returns a dictionary enumerator of the resources for this reader.

  A dictionary enumerator for the resources for this reader.